LPCOpen Platform for LPC18XX/43XX microcontrollers: Data Fields

| LPCOpen Platform for LPC18XX/43XX microcontrollers 18XX43XX LPCOpen Platform for the NXP LPC18XX/43XX family of Microcontrollers

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

- All
- Variables

- a
- b
- c
- d
- e
- f
- g
- h
- i
- l
- m
- n
- o
- p
- r
- s
- t
- u
- v
- w
- x

Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - s -

- SampleRate : I2S_AUDIO_FORMAT_T
- SCICTRL : LPC_USART_T
- SCLH : LPC_I2C_T
- SCLL : LPC_I2C_T
- SCR : LPC_USART_T
- sdif_dev : mci_card_struct
- sec : RTC_EV_TIMESTAMP_T
- SECONDS : LPC_ENET_T
- SECONDSUPDATE : LPC_ENET_T
- SeriaAccessMin : K9F1G_ID_T
- SET : LPC_GPIO_T , LPC_QEI_T , LPC_SCT_T
- SET_EN : HSADCINTCTRL_T , LPC_ATIMER_T , LPC_EVRT_T
- SET_STAT : LPC_ATIMER_T , LPC_EVRT_T , HSADCINTCTRL_T
- SetMode : AES_API_T
- setOptionsFxId : SPIFI_DEVICE_DATA_T
- setStatusFxId : SPIFI_DEVICE_DATA_T
- sEvent : i2c_interface
- SFSCLK : LPC_SCU_T
- SFSI2C0 : LPC_SCU_T
- SFSP : LPC_SCU_T
- SFSUSB : LPC_SCU_T
- SIENF : LPC_PIN_INT_T
- SIENR : LPC_PIN_INT_T
- slaveAddr : I2C_XFER_T , I2CM_XFER_T
- SOFTBREQ : LPC_GPDMA_T
- SOFTLBREQ : LPC_GPDMA_T
- SOFTLSREQ : LPC_GPDMA_T
- SOFTSREQ : LPC_GPDMA_T
- spare_size : lpc_nandflash_size_t
- speed : SDMMC_CARD_T
- spifiApiBase : LPC_ROM_API_T
- spifiCtrlAddr : SPIFI_INFODATA_T
- SR : LPC_SSP_T
- src : DMA_TransferDescriptor_t
- SRCADDR : GPDMA_CH_T
- SrcAddr : GPDMA_CH_CFG_T
- srcin : PLL_PARAM_T
- start_addr : MEM_TEST_SETUP_T
- START_H : LPC_SCT_T
- START_L : LPC_SCT_T
- STAT : LPC_ADC_T , LPC_CCAN_T , CCU_CFGSTAT_T , LPC_I2C_T , LPC_QEI_T
- STATE : LPC_I2S_T , LPC_SCT_T
- STATE_H : LPC_SCT_T
- STATE_L : LPC_SCT_T
- STATICCONFIG0 : LPC_EMC_T
- STATICCONFIG1 : LPC_EMC_T
- STATICCONFIG2 : LPC_EMC_T
- STATICCONFIG3 : LPC_EMC_T
- STATICEXTENDEDWAIT : LPC_EMC_T
- STATICWAITOEN0 : LPC_EMC_T
- STATICWAITOEN1 : LPC_EMC_T
- STATICWAITOEN2 : LPC_EMC_T
- STATICWAITOEN3 : LPC_EMC_T
- STATICWAITPAG0 : LPC_EMC_T
- STATICWAITPAG1 : LPC_EMC_T
- STATICWAITPAG2 : LPC_EMC_T
- STATICWAITPAG3 : LPC_EMC_T
- STATICWAITRD0 : LPC_EMC_T
- STATICWAITRD1 : LPC_EMC_T
- STATICWAITRD2 : LPC_EMC_T
- STATICWAITRD3 : LPC_EMC_T
- STATICWAITTURN0 : LPC_EMC_T
- STATICWAITTURN1 : LPC_EMC_T
- STATICWAITTURN2 : LPC_EMC_T
- STATICWAITTURN3 : LPC_EMC_T
- STATICWAITWEN0 : LPC_EMC_T
- STATICWAITWEN1 : LPC_EMC_T
- STATICWAITWEN2 : LPC_EMC_T
- STATICWAITWEN3 : LPC_EMC_T
- STATICWAITWR0 : LPC_EMC_T
- STATICWAITWR1 : LPC_EMC_T
- STATICWAITWR2 : LPC_EMC_T
- STATICWAITWR3 : LPC_EMC_T
- STATUS : LPC_ATIMER_T , ENET_RXDESC_T , LPC_SDMMC_T , LPC_EVRT_T , HSADCINTCTRL_T , LPC_EMC_T , ENET_ENHRXDESC_T
- status : I2C_XFER_T , I2CM_XFER_T
- STOP_H : LPC_SCT_T
- STOP_L : LPC_SCT_T
- subBlks : SPIFI_DEVICE_DATA_T
- subBlkSize : SPIFI_DEVICE_DATA_T
- subBlockCmd : SPIFI_FAM_FX_T
- subBlockSize : SPIFI_INFODATA_T
- SUBSECOND_INCR : LPC_ENET_T
- swap_xy : TSC2046_Init_T
- sXfer : i2c_interface
- SYNC : LPC_GPDMA_T
- SYNCCTRL : LPC_USART_T